---
search:
  tags:
    - livesync
    - PATCH
seo:
  description: >-
    Change auto-add or create missing target tables. Reference for the PATCH
    /api/v1/livesync/{id} endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Change livesync options
  badge: PATCH
title: Change livesync options
type: openapi-operation
---
Change auto-add or create missing target tables.

`PATCH /api/v1/livesync/{id}`

**Request body** (`application/json`, required)

- `auto_add_tables` (boolean) — Publish tables created on the source after this moment automatically. Tables currently unpublished stay that way.
- `sync_schema` (boolean) — Create missing published tables on the target now. Existing tables stay unchanged.

Request body example:

```json
{
  "auto_add_tables": true,
  "sync_schema": true
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "auto_add_tables": true,
  "created_at": "string",
  "health": "string",
  "health_checked_at": "string",
  "health_detail": "string",
  "host_display": "string",
  "host_server_id": "string",
  "id": "string",
  "name": "string",
  "publication": "string",
  "publication_managed": true,
  "source_cluster_id": "string",
  "source_display": "string",
  "status": "string",
  "subscription": "string",
  "target_cluster_id": "string",
  "target_display": "string"
}
```
